Subject: Re: Network performance degradation from 2.6.11.12 to 2.6.16.20

From: Andi Kleen <[email-masked]>
Date: Mon, 18 Sep 2006 18:50:22 +0200

On Monday 18 September 2006 18:28, Alexey Kuznetsov wrote:
> Hello!
> 
> > Hmm, not sure how that could happen. Also is it a real problem
> > even if it could?
> 
> As I said, the problem is _occasionally_ theoretical.
> 
> This would happen f.e. if packet socket handler was installed
> after IP handler. Then tcpdump would get packet after it is processed
> (acked/replied/forwarded). This would be disasterous, the results
> are unparsable.

But that never happens right? 

And do you have some other prefered way to solve this? Even if the timer
was fast it would be still good to avoid it in the fast path when DHCPD
is running.

I suppose in the worst case a sysctl like Vladimir asked for could be added,
but it would seem somewhat lame.

-Andi